*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    height: 100vh;
    background: linear-gradient(to right, #8ec5fc, #e0c3fc);
  }
  .heading {
    text-align: center;
    margin-bottom: 20px;
    font-family: 'Segoe UI', sans-serif;
  }
  .main {
    background: rgba(255, 255, 255, 0.15);
    border-radius: 20px;
    padding: 30px 20px;
    min-width: 50vw;
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    backdrop-filter: blur(10px);
    color: #fff;
    font-family: 'Segoe UI', sans-serif;
    text-align: center;
  }

.cityname {
    display: flex;
  }
  
  .cityname input {
    flex: 1;
    padding: 10px;
    border: none;
    border-radius: 20px 0 0 20px;
    outline: none;
    font-size: 16px;
    background-color: rgba(31, 38, 135, 0.37);
    text-align: center;
    color: #fff;
  }
  .cityname input:focus {
    background-color: rgba(31, 38, 135, 0.5);
  }
  .cityname input::placeholder {
    color: #ffffff89;
  } 
  
  .cityname button {
    padding: 0 15px;
    background: #e0c3fc;
    border: 1px solid rgba(31, 38, 135, 0.37);
    border-radius: 0 20px 20px 0;
    cursor: pointer;
  }
  
  .cityname button img {
    width: 20px;
    height: 20px;
  }
  .city h2 {
    font-size: 24px;
    font-weight: bold;
    margin: 2rem 0;
    color: #000000;
  }
  
  .othercontainer {
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
      
  }
  
  .humidity img,
  .wind img,
  .temp img {
    max-width: 40px;
  }
  
  h3{
    font-size: 18px;
    margin: 0;
    color: #000000;
  }
 @media (max-width: 768px) {
    .container {
      flex-direction: column;
      padding: 20px;
    }
  
    .othercontainer{
      flex-direction: column;
      gap: 20px;
    }
  
    .humidity img,
    .wind img,
    .temp img {
      max-width: 30px;
    }
  }